<!DOCTYPE html>
<!--
 | Generated by Apache Maven Doxia Site Renderer 1.7.4 at 2018-04-24 
 | Rendered using Apache Maven Fluido Skin 1.6
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Date-Revision-yyyymmdd" content="20180424" />
    <meta http-equiv="Content-Language" content="fr" />
    <title>activity-webapp Maven Webapp &#x2013; Résultats Checkstyle</title>
    <link rel="stylesheet" href="./css/apache-maven-fluido-1.6.min.css" />
    <link rel="stylesheet" href="./css/site.css" />
    <link rel="stylesheet" href="./css/print.css" media="print" />
      <script type="text/javascript" src="./js/apache-maven-fluido-1.6.min.js"></script>
      </head>
    <body class="topBarDisabled">
      <div class="container-fluid">
      <div id="banner">
        <div class="pull-left"><div id="bannerLeft"><h2>activity-webapp Maven Webapp</h2>
</div>
</div>
        <div class="pull-right"></div>
        <div class="clear"><hr/></div>
      </div>

      <div id="breadcrumbs">
        <ul class="breadcrumb">
        <li class=""><a href="../index.html" title="Accueil">Accueil</a><span class="divider">/</span></li>
      <li class=""><a href="index.html" title="activity-webapp Maven Webapp">activity-webapp Maven Webapp</a><span class="divider">/</span></li>
    <li class="active ">Résultats Checkstyle</li>
        <li id="publishDate" class="pull-right"><span class="divider">|</span> Dernière publication: 2018-04-24</li>
          <li id="projectVersion" class="pull-right">Version: 1.0-SNAPSHOT</li>
        </ul>
      </div>
      <div class="row-fluid">
        <div id="leftColumn" class="span2">
          <div class="well sidebar-nav">
<ul class="nav nav-list">
          <li class="nav-header">Projet parent</li>
    <li><a href="../index.html" title="activity"><span class="none"></span>activity</a>  </li>
            <li class="nav-header">Documentation sur le projet</li>
    <li><a href="project-info.html" title="Info Projet"><span class="icon-chevron-right"></span>Info Projet</a>  </li>
    <li><a href="project-reports.html" title="Rapports Projet"><span class="icon-chevron-down"></span>Rapports Projet</a>
      <ul class="nav nav-list">
    <li><a href="surefire-report.html" title="Surefire Report"><span class="none"></span>Surefire Report</a>  </li>
    <li class="active"><a href="#"><span class="none"></span>Checkstyle</a>
  </li>
      </ul>
  </li>
  </ul>
          <hr />
          <div id="poweredBy">
              <div class="clear"></div>
              <div class="clear"></div>
              <div class="clear"></div>
              <div class="clear"></div>
  <a href="http://maven.apache.org/" title="Produit par Maven" class="poweredBy"><img class="builtBy" alt="Produit par Maven" src="./images/logos/maven-feather.png" /></a>
              </div>
          </div>
        </div>
        <div id="bodyColumn"  class="span10" >
<div class="section">
<h2><a name="Rsultats_Checkstyle"></a>R&#xe9;sultats Checkstyle</h2>
<p>Le document suivant contient les r&#xe9;sultats de <a class="externalLink" href="http://checkstyle.sourceforge.net/">Checkstyle</a> 6.11.2 avec les r&#xe8;gles src/build/checkstyle.xml.&#160;<a href="checkstyle.rss"><img alt="rss feed" src="images/rss.png" /></a></p></div>
<div class="section">
<h2><a name="Rsum"></a>R&#xe9;sum&#xe9;</h2>
<table border="0" class="table table-striped">
<tr class="a">
<th>Fichiers</th>
<th><img src="images/icon_info_sml.gif" alt="" />&#160;Infos</th>
<th><img src="images/icon_warning_sml.gif" alt="" />&#160;Avertissements</th>
<th><img src="images/icon_error_sml.gif" alt="" />&#160;Erreurs</th></tr>
<tr class="b">
<td>2</td>
<td>2</td>
<td>1</td>
<td>10</td></tr></table></div>
<div class="section">
<h2><a name="Fichiers"></a>Fichiers</h2>
<table border="0" class="table table-striped">
<tr class="a">
<th>Fichier</th>
<th><img src="images/icon_info_sml.gif" alt="" />&#160;I</th>
<th><img src="images/icon_warning_sml.gif" alt="" />&#160;A</th>
<th><img src="images/icon_error_sml.gif" alt="" />&#160;E</th></tr>
<tr class="b">
<td><a href="#org.activity.demo.webapp.App.java">org/activity/demo/webapp/App.java</a></td>
<td>2</td>
<td>1</td>
<td>10</td></tr></table></div>
<div class="section">
<h2><a name="Rgles"></a>R&#xe8;gles</h2>
<table border="0" class="table table-striped">
<tr class="a">
<th>Cat&#xe9;gorie</th>
<th>R&#xe8;gle</th>
<th>Violations</th>
<th>S&#xe9;v&#xe9;rit&#xe9;</th></tr>
<tr class="b">
<td>blocks</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_blocks.html#LeftCurly">LeftCurly</a>
<ul>
<li>maxLineLength: <tt>&quot;120&quot;</tt></li>
<li>id: <tt>&quot;FORMATAGE_CODE&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td></tr>
<tr class="a">
<td>coding</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_coding.html#MissingCtor">MissingCtor</a>
<ul>
<li>id: <tt>&quot;CONSTR_OBLIG&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_warning_sml.gif" alt="" />&#160;Avertissement</td></tr>
<tr class="b">
<td>design</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_design.html#HideUtilityClassConstructor">HideUtilityClassConstructor</a>
<ul>
<li>id: <tt>&quot;NO_CLAS_UTIL_CONSTR_PUBLIC&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_info_sml.gif" alt="" />&#160;Info</td></tr>
<tr class="a">
<td>javadoc</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_javadoc.html#JavadocMethod">JavadocMethod</a>
<ul>
<li>allowMissingPropertyJavadoc: <tt>&quot;true&quot;</tt></li>
<li>allowUndeclaredRTE: <tt>&quot;true&quot;</tt></li>
<li>allowThrowsTagsForSubclasses: <tt>&quot;true&quot;</tt></li>
<li>suppressLoadErrors: <tt>&quot;true&quot;</tt></li>
<li>id: <tt>&quot;FORMAT_JAVADOC&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td></tr>
<tr class="b">
<td></td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_javadoc.html#JavadocType">JavadocType</a>
<ul>
<li>authorFormat: <tt>&quot;.+&quot;</tt></li>
<li>id: <tt>&quot;FORMAT_JAVADOC&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td></tr>
<tr class="a">
<td>naming</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_naming.html#ParameterName">ParameterName</a>
<ul>
<li>format: <tt>&quot;^p[A-Z][a-zA-Z0-9]*$&quot;</tt></li>
<li>id: <tt>&quot;NOM_PARAM&quot;</tt></li></ul></td>
<td>1</td>
<td><img src="images/icon_info_sml.gif" alt="" />&#160;Info</td></tr>
<tr class="b">
<td>regexp</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_regexp.html#RegexpSinglelineJava">RegexpSinglelineJava</a>
<ul>
<li>ignoreComments: <tt>&quot;true&quot;</tt></li>
<li>format: <tt>&quot;\bSystem\.out\.print&quot;</tt></li>
<li>id: <tt>&quot;NO_SYSTEM_PRINT&quot;</tt></li>
<li>message: <tt>&quot;L'utilisation des 'System.out.print...' est interdite.&quot;</tt></li></ul></td>
<td>2</td>
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td></tr>
<tr class="a">
<td>whitespace</td>
<td><a class="externalLink" href="http://checkstyle.sourceforge.net/config_whitespace.html#ParenPad">ParenPad</a>
<ul>
<li>id: <tt>&quot;FORMATAGE_CODE&quot;</tt></li></ul></td>
<td>5</td>
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td></tr></table></div>
<div class="section">
<h2><a name="Dtails"></a>D&#xe9;tails</h2>
<div class="section">
<h3 id="org.activity.demo.webapp.App.java">org/activity/demo/webapp/App.java</h3>
<table border="0" class="table table-striped">
<tr class="b">
<th>S&#xe9;v&#xe9;rit&#xe9;</th>
<th>Cat&#xe9;gorie</th>
<th>R&#xe8;gle</th>
<th>Message</th>
<th>Ligne</th></tr>
<tr class="a">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>javadoc</td>
<td>JavadocType</td>
<td>Dans le commentaire javadoc de la classe, il manque une balise @author.</td>
<td>12</td></tr>
<tr class="b">
<td><img src="images/icon_warning_sml.gif" alt="" />&#160;Avertissement</td>
<td>coding</td>
<td>MissingCtor</td>
<td>Il manque un constructeur &#xe0; la classe.</td>
<td>12</td></tr>
<tr class="a">
<td><img src="images/icon_info_sml.gif" alt="" />&#160;Info</td>
<td>design</td>
<td>HideUtilityClassConstructor</td>
<td>Les classes utilitaires ne doivent pas avoir de constructeur par d&#xe9;faut ou public.</td>
<td>12</td></tr>
<tr class="b">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>blocks</td>
<td>LeftCurly</td>
<td>'{' &#xe0; la colonne 1 devrait &#xea;tre sur la ligne pr&#xe9;c&#xe9;dente.</td>
<td>13</td></tr>
<tr class="a">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>javadoc</td>
<td>JavadocMethod</td>
<td>Commentaire javadoc manquant.</td>
<td>14</td></tr>
<tr class="b">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>whitespace</td>
<td>ParenPad</td>
<td>Il y a une espace de trop apr&#xe8;s  '('.</td>
<td>14</td></tr>
<tr class="a">
<td><img src="images/icon_info_sml.gif" alt="" />&#160;Info</td>
<td>naming</td>
<td>ParameterName</td>
<td>Le nom 'args' n'est pas conforme &#xe0; l'expression '^p[A-Z][a-zA-Z0-9]*$'.</td>
<td>14</td></tr>
<tr class="b">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>whitespace</td>
<td>ParenPad</td>
<td>Il y a une espace de trop avant ')'.</td>
<td>14</td></tr>
<tr class="a">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>regexp</td>
<td>RegexpSinglelineJava</td>
<td>Lutilisation des System.out.print... est interdite.</td>
<td>15</td></tr>
<tr class="b">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>whitespace</td>
<td>ParenPad</td>
<td>Il y a une espace de trop apr&#xe8;s  '('.</td>
<td>15</td></tr>
<tr class="a">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>whitespace</td>
<td>ParenPad</td>
<td>Il y a une espace de trop avant ')'.</td>
<td>15</td></tr>
<tr class="b">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>whitespace</td>
<td>ParenPad</td>
<td>Il y a une espace de trop apr&#xe8;s  '('.</td>
<td>24</td></tr>
<tr class="a">
<td><img src="images/icon_error_sml.gif" alt="" />&#160;Erreur</td>
<td>regexp</td>
<td>RegexpSinglelineJava</td>
<td>Lutilisation des System.out.print... est interdite.</td>
<td>29</td></tr></table></div></div>
        </div>
      </div>
    </div>
    <hr/>
    <footer>
      <div class="container-fluid">
        <div class="row-fluid">
            <p>Copyright &copy;2018
<a href="http://www.exemple.org">Mon entreprise</a>.
All rights reserved.</p>
        </div>
        </div>
    </footer>
    </body>
</html>
